Create a new charging station model
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/charging-station-models \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendor": "<string>",
"model": "<string>",
"connectors": [
{
"id": 123,
"maxAmperage": 123,
"maxVoltage": 123,
"maxPowerWatts": 123
}
],
"configurationKeys": {
"ocppUrl": "<string>"
},
"friendlyName": "<string>",
"imageUrl": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/charging-station-models"
payload = {
"vendor": "<string>",
"model": "<string>",
"connectors": [
{
"id": 123,
"maxAmperage": 123,
"maxVoltage": 123,
"maxPowerWatts": 123
}
],
"configurationKeys": { "ocppUrl": "<string>" },
"friendlyName": "<string>",
"imageUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vendor: '<string>',
model: '<string>',
connectors: [{id: 123, maxAmperage: 123, maxVoltage: 123, maxPowerWatts: 123}],
configurationKeys: {ocppUrl: '<string>'},
friendlyName: '<string>',
imageUrl: '<string>'
})
};
fetch('https://api.lynkwell.com/asset-management/v1/charging-station-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"vendor": "<string>",
"model": "<string>",
"powerType": "AC_1_PHASE",
"connectors": [
{
"id": 123,
"connectionType": "CHADEMO",
"format": "CABLE",
"maxAmperage": 123,
"maxVoltage": 123,
"maxPowerWatts": 123
}
],
"configurationKeys": {
"ocppUrl": "<string>"
},
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"imageUrl": "<string>"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "CONFLICT",
"code": "CONFLICTING_SECURITY_PROFILE_STATE",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Charging Station Models
Create a new charging station model
This endpoint creates a new charging station model. Only admins are allowed to create charging station models.
POST
/
asset-management
/
v1
/
charging-station-models
Create a new charging station model
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Parameters for creating a new charging station model
The vendor/manufacturer of the charging station
Maximum string length:
200The model name of the charging station
Maximum string length:
200The power type of the charging station
Available options:
AC_1_PHASE, AC_3_PHASE, DC List of connectors available on this charging station model
Show child attributes
Show child attributes
Configuration keys for the charging station model
Show child attributes
Show child attributes
A user-friendly display name for the model
Maximum string length:
200URL to an image of the charging station model
Maximum string length:
500Response
Success
A charging station model defines hardware specifications for a specific vendor/model combination
Show child attributes
Show child attributes